Subject: Re: bug#44179: can't build proot-static
From: Maxim Cournoyer <[email-masked]>
To: luhux <[email-masked]>
Cc: [email-masked]
Date: Wed, 04 Aug 2021 23:26:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

luhux <[email-masked]> writes:

> If it can be fixed, I can run my packaged Emacs environment on my Android phone.
>
> I executed this command on my x86_64-linux:
>
> guix pack -s aarch64-linux -RR busybox
>
> but it fail:

[...]

> starting phase `build'
> make: Entering directory '/tmp/guix-build-proot-static-5.1.0.drv-0/proot-5.1.0-checkout/src'
>   GEN	build.h
>   CC	cli/cli.o
>   CC	cli/proot.o
>   CC	cli/note.o
>   CC	execve/enter.o
> ./execve/enter.c: In function ‘compute_load_addresses’:
> ./execve/enter.c:335:36: error: ‘EXEC_PIC_ADDRESS’ undeclared (first use in this function)
>    add_load_base(tracee->load_info, EXEC_PIC_ADDRESS);
>                                     ^~~~~~~~~~~~~~~~
> ./execve/enter.c:335:36: note: each undeclared identifier is reported only once for each function it appears in
> ./execve/enter.c:349:44: error: ‘INTERP_PIC_ADDRESS’ undeclared (first use in this function); did you mean ‘EXEC_PIC_ADDRESS’?
>    add_load_base(tracee->load_info->interp, INTERP_PIC_ADDRESS);
>                                             ^~~~~~~~~~~~~~~~~~
>                                             EXEC_PIC_ADDRESS

I fixed that one some time ago with commit
c881516d4834cc628864bfc193cfb061c3dcde42.

Closing.

Thank you,

Maxim